<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Final Countdown</title>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- for my free host, for not needed link in bottom -->
    <style type="text/css">.cbalink{display: none;}</style>
</head>
<body>

    
  <div id="app">


    <div class="forHeader">
  
      <div class="forLogo">
        <span v-html="greeting"></span> Time: {{ timeNow }}
      </div>
  
      <div class="forClear btn-group">
        <button class="clear_Btn btn btn-outline-success float-right btn-sm" @click="clearScene">Очистить сцену</button>
        <button class="clear_Btn btn btn-outline-info float-right btn-sm" @click="plus100">+10 dino</button>
      </div>
  
    </div>
  
    <hr>
    <div class="adding">
      <button class="adding_Btn btn btn-outline-info" title="Время вымирать" @click="addCount">Добавить вымирающего (add count component)</button>
    </div>
    <transition-group tag="div" name="list" class="counters">
      <dino-count v-for="(item, index, key) in counters" :key="item.id">
      </dino-count>
    </transition-group>
  </div>
  
  <br/>
  <hr>
  
  <div class="col text-center mb-3">
    <div id="time">&#160</div>
    <button class="fresh btn btn-outline-secondary">Vanila JS counter</button>
    <button class="btn btn-outline-danger" id="play">App's Soundtrack</button>
    <!-- <button id="stop">Stop</button> -->
  </div>
  <div class="imgLogo"><img src="http://j-kristo.zzz.com.ua/finalcountdown/dino.gif" class="imgDino" alt="dino"></div>
  <audio id="audio" src="http://j-kristo.zzz.com.ua/finalcountdown/final_countdown.mp3" preload="auto"></audio>
  <script>
    var playBtn = document.getElementById('play');
    var stopBtn = document.getElementById('stop');
    var playSound = function() {
      audio.play();
    };
    playBtn.addEventListener('click', playSound, false);
    /*   stopBtn.addEventListener('click', function() {
        audio.pause()
      }, false); */
  
  </script>

<script type="text/javascript" src="vue.js"></script>
<script type="text/javascript" src="script.js"></script>

</body>
</html>